// This is a scripted coppercube action.
// Switches a WebGL or Flash target to fullscreen. Note: Needs to be run from a click or key event.
// Also note that in Flash, only cursor keys and space work afterwards (security limit)
//
/*
	<action jsname="action_SwitchToFullscreen" description="Switch Flash or WebGL to fullscreen">
		<property name="EnableMouseLock" type="bool" default="true" />
	</action>
*/

action_SwitchToFullscreen = function()
{
};

// called when the action is executed 
action_SwitchToFullscreen.prototype.execute = function(currentNode)
{
	var elementToSwitch = null;
	var enableMouseLock = this.EnableMouseLock;
	
	if (ccbGetPlatform() == 'webgl')
	{
		// in webgl, we switch the parent of the canvas element to fullscreen, because
		// in firefox, the element is scaled up, while in chrome it is not. This makes the 
		// behavior the same for both. Uncomment this if you don't want this behavior.
		
		var elements = document.getElementsByTagName('canvas');
		if (elements.length > 0)
			elementToSwitch = elements[0].parentElement;
	}
	
	ccbSwitchToFullscreen(enableMouseLock, elementToSwitch);
}